using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class GameManager : MonoBehaviour
{
	public Text LevelText;

	private GameObject player;
	private GameObject finish;


	private void Start()
	{
		player = GameObject.Find("Player");
		finish = GameObject.Find("Finish");

        UpdateLevelText();
    }
	
	private void Update()
	{
		if (player != null & finish != null)
		{
			float distance = Vector3.Distance(player.transform.position, finish.transform.position);
			if (distance < 1)
			{
				LoadNexLevel();
			}
		}
	}

	private void LoadNexLevel()
	{
        int currentSceneIndex = int.Parse(SceneManager.loadedScene[7].ToString());
        currentSceneIndex++;
		SceneManager.LoadScene($"Scenes/{currentSceneIndex}.scene");
	}
	private void UpdateLevelText()
	{
		int currentSceneIndex = int.Parse(SceneManager.loadedScene[7].ToString());
		LevelText.text = $"Level: {currentSceneIndex}";
	}
}
